
set(hdrs
    include/pw/scripting/script.hpp
    )

set(srcs
    src/script.cpp
    src/script_core.cpp
    src/script_system.cpp
    src/script_io.cpp
    src/script_scene.cpp
    src/script_visual.cpp
    src/runtime_lua.hpp
    src/runtime_lua.cpp
    )

add_library(pwbinding
    STATIC
    ${hdrs}
    ${srcs}
    )


target_include_directories(
    pwbinding
    PRIVATE
    ${CMAKE_SOURCE_DIR}/src/deps/lua-5.4.6/src
    ${CMAKE_SOURCE_DIR}/src/deps/sol2-3.2.3/single/include
    PUBLIC
    include
    )

target_link_libraries(pwbinding
    lualib
    pwcore
    pwsystem
    pwio
    pwscene
    pwvisual
    )
